Subject: [MBONED]Re: Christopher Inacio's Discuss on draft-ietf-mboned-amt-yang-08: (with DISCUSS and COMMENT)
From: linchangwang <[email-masked]>
To: Christopher Inacio <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 15 Apr 2026 07:09:41 +0000
List-Id: Mail List for the Mboned Working Group <mboned.ietf.org>

Hi Christopher Inacio,

Thank you for your comments.
Detailed replies are provided below in [Changwang].

Thanks,
Changwang

发件人: Christopher Inacio via Datatracker <[email-masked]>
发送时间: 2026年4月15日 9:17
收件人: The IESG <[email-masked]>
抄送: [email-masked]; [email-masked]; [email-masked]; [email-masked]
主题: Christopher Inacio's Discuss on draft-ietf-mboned-amt-yang-08: (with DISCUSS and COMMENT)

Christopher Inacio has entered the following ballot position for
draft-ietf-mboned-amt-yang-08: Discuss

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mboned-amt-yang/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Overall, the draft is well written and quite clear, I appreciate the effort that went into the drafting of this.

While I have 3 bullet points in here, this is really centered on one particular
topic: How to understand the "MUST"s in the Operational Considerations section.

* In this section, the ‘MUST’ is a requirement of operations?  People ‘MUST’ do that?  (Like people ‘MUST NOT’ share their passwords?). Also, wouldn’t the tunnel just fail if there are protocol mismatches?
  > 1367        5.  Operational Considerations
  >
  > 1369           This document specifies a YANG data model for AMT that
  configures and > 1370           monitors address parameters for both Relay
  and Gateway functions. > 1371           Operators MUST monitor for address
  family mismatches between > 1372           associated address parameters to
  ensure correct protocol operation, > 1373           tunnel establishment, and
  forwarding behavior.

* The “MUST”s in the Operatonal Considerations section are not present in RFC7450, the protocol specification.

[Changwang] The operational considerations here are those that apply for the use of this model. Otherwise, pointing to existing provisions in the base spec (if any) would suffice.

That effectively moves things where I would normal expect protocol negotiation errors into configuration checks.
Further, it appears that many of the checks for this are reliant on human checking the configuration.  Is that correct?  I’m not clear on how to apply “MUST”s in a situation like this.

[Changwang] Automated means can be used to monitor, detect, and even trigger corrective actions.
           The draft includes " It is RECOMMENDED that operators implement automated configuration validation tools to detect such address family mismatches. "

* Why is this in the operations section?  Isn’t this an implementation requirement?
  > 1412           Upon detecting an address family mismatch, the device MUST
  log an > 1413           appropriate error or alarm and prevent the
  inconsistent configuration > 1414           from being applied.  Corrective
  actions include reconfiguring the > 1415           affected addresses to
  match the intended address family and verifying > 1416           routing
  reachability for the configured addresses.

[Changwang] This is an important operational considerations per the guidance in https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-rfc5706bis-04#section-5.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks to the reviewers, Mike O., Behcet S., Robert W. (first time I read a YANG reviewer's review, actually,) for their insight.

-------------------------------------------------------------------------------------------------------------------------------------
本邮件及其附件含有新华三集团的保密信息，仅限于发送给上面地址中列出的个人或群组。
禁止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、或散发）本邮件中的信息。
如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本邮件！
This e-mail and its attachments contain confidential information from New H3C, which is intended only for the person or entity whose address is listed above.
Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited.
If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!